#include <QtGui>

#include "detailsdialog.h"
#include "decoder_ffmpeg.h"
#include "tag.h"
#include "decoderffmegfactory.h"


// DecoderFFmpegFactory

bool DecoderFFmpegFactory::supports(const QString &source) const
{
    
    return (source.right(4).toLower() == ".wma");
}

const QString &DecoderFFmpegFactory::name() const
{
    static QString name (tr("FFmpeg Plugin"));
    return name;
}


const QString &DecoderFFmpegFactory::filter() const
{
    static QString filter("*.wma");
    return filter;
}


const QString &DecoderFFmpegFactory::description() const
{
    static QString desc(tr("WMA Files"));
    return desc;
}


Decoder *DecoderFFmpegFactory::create(QObject *parent, QIODevice *input,
                                   Output *output)
{
    return new DecoderFFmpeg(parent, this, input, output);
}

FileTag *DecoderFFmpegFactory::createTag(const QString &source)
{
    FileTag *tag = new Tag(source);
    return tag;
}

void DecoderFFmpegFactory::showDetails(QWidget *parent, const QString &path)
{
    DetailsDialog *d = new DetailsDialog(parent, path);
    d -> show();
}

void DecoderFFmpegFactory::showSettings(QWidget *)
{}

Q_EXPORT_PLUGIN(DecoderFFmpegFactory)
